<html>
<head>
  <title>Ulti viewer example</title>
  <script src="webcomponents.min.js"></script>
  <link rel="import" href="ulti-viewer-embed.html">

  <!--for testing only-->
  <link href="//maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet">


  <!-- styling example, as it would appear in a website-->
  <link rel="stylesheet" type="text/css" href="../embed.css">

  <style>
    html, body, ulti-viewer{
      margin: 0;
      position: absolute;
      height: 100%;
      width:100%;

      -webkit-touch-callout: none;
      -webkit-user-select: none;
      -khtml-user-select: none;
      -moz-user-select: none;
      -ms-user-select: none;
      user-select: none;
    }
  </style>
</head>
<body>
 <!-- showControls="false" autoRotate="true" -->
  <h1>Test</h1>
  <div style="width:100%; height:300px; position:relative">
  <ulti-viewer autoRotate="true"></ulti-viewer>
  </div>
  <h2>Test2</h2>

  <script>
    window.addEventListener('polymer-ready', function() {
      var ultiViewer = document.querySelector('ulti-viewer');
      console.log("ultiViewer",ultiViewer);

      // var currentUrl = window.location.origin;
      var modelUrl = "https://s3-eu-west-1.amazonaws.com/files.youmagine.com/uploads/document/file/1078/Extruder_Big_Gear_V1.stl";
      // modelUrl = currentUrl+"/demo-data/UM2CableChain_BedEnd.STL";
      
      setTimeout(function(){ultiViewer.loadMesh(modelUrl,{display:true});},1000 )

      setTimeout(function(){
        console.log('resources: ',ultiViewer.resources);
      },10000);
    });
  </script>  
</body>
</html>
